function [] = ZetaDreiKommaDrei(pars)

fld_pde2path = [pars.fld,'/pde2path_results'];
fld_const = [fld_pde2path,'/const_solutions'];

%% Zweiter Bifurkationspfad
disp('%%%%%% Second bifurcation path for f_1 = 0 is computed up to right point with zeta = 3.3 %%%%')
fld_bifur2 = [fld_pde2path,'/bifurcation_path_2'];
 if exist([fld_bifur2,'/pt606.mat'],'file') == 0
     disp('(This may take a minute)')
     evalc('p=swibra(fld_const,''bpt2'',fld_bifur2);');
%      p=swibra(fld_const,'bpt2',fld_bifur2); 
     p.usrlam=3.3; 
     evalc('p=my_cont(p,600);');
 else
     disp('Second bifurcation path for f_1 = 0 has been computed before')
 end

 %% Folge erster zeta-Bifurkation auf zweitem Bifurkationspfad
disp('%%%%%% Third bifurcation path for f_1 = 0 is computed up to right point with zeta = 3.3 %%%%%')
fld_bifur3 = [fld_pde2path,'/bifurcation_path_3'];
 if exist([fld_bifur3,'/pt402.mat'],'file') == 0
     disp('(This may take a minute)')
     evalc('p=swibra(fld_bifur2,''bpt3'',fld_bifur3);');
%      p=swibra('Zeta=3.3/b2','bpt3',fld_bifur3); % bpt3 da erst auf dem Rückweg gefunden
     p.usrlam=3.3; 
     evalc('p=my_cont(p,400);');
 else
     disp('Third bifurcation path for f_1 = 0 has been computed before')
 end

 %% f1-Fortsetzung nach Spiegelung (entlang Kurve der Shifts)
 disp('%%%%%% Correct shift is computed %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
 fld_shifts2 = [fld_pde2path,'/shift_path_2'];
 if exist([fld_shifts2,'/pt410.mat'],'file') == 0
     disp('(This may take a minute or two)')
     ind=my_findulamindex(fld_bifur3,399,2,1,3.3);
     p=loadp(fld_bifur3,['pt' num2str(ind)]); 
     h1=p.u(1:p.np); fliph1=flipud(h1); h2=p.u(p.np+1:2*p.np); fliph2=flipud(h2); parh=p.u(p.nu+1:end); 
     nx=500; p=cLLinit(p,0,2*pi,2*nx,parh);
     u=[h1;fliph1(2:end)];v=[h2;fliph2(2:end)];p.u=[u;v;parh]; p.sw.bcper=1; p=box2per(p);
     p=setfn(p,fld_shifts2);
     p.nc.ilam=4;
     p.nc.tol=1e-5; % Toleranz muss am Anfang groß sein, damit er startet
     evalc('p=my_cont(p,10);');
     p.nc.tol=1e-8; % Toleranz kann nach paar Schritten wieder verkleinert werden
     evalc('p=my_cont(p,400);');
 else
     disp('Shift path has been computed before')
 end

 %% Erste Bifurkation in f1-Richtung
 disp('%%%%%% Bifurcation from nontrivial solution for zeta = 3.3 (part 1) is computed %%%%%%%%%%%%%')
 fld_nontrivial_bifur1 = [pars.fld,'/path_two_mode_zeta=+3.300000_nontrivial_part_1'];
 if exist([fld_nontrivial_bifur1,'/pt844.mat'],'file') == 0
     disp('(This may take a minute or two)')
     evalc('p=swibra(fld_shifts2,''bpt1'',fld_nontrivial_bifur1);');
     p.sol.xi=0; % spiele etwas mit xi um wirklich Bifurkationspfad zu folgen
     p.usrlam=0;
     p.sw.bifcheck=0;
     evalc('p=my_cont(p,20);');
     p.sol.xi=1; % es kann helfen xi zweimal zu ändern
     evalc('p=my_cont(p,20);');
     p.sol.xi=1/p.nu; % nun kann xi wieder resettet werden
     evalc('p=my_cont(p,800);');
     % Für Plot relevante Daten als point_vecs speichern
     point_vecs.norms = 1/(2*pi)*p.branch(14,:);
     point_vecs.f1s = p.branch(10,:);
     point_vecs.zetas = 0*point_vecs.f1s + 3.6;
     save([fld_nontrivial_bifur1,'/point_vecs.mat'],'point_vecs')
 else
     disp('Bifurcation from nontrivial solution for zeta = 3.3 (part 1) has been computed before')
 end

 %% Erste Bifurkation in f1-Richtung (mit anderem Vorzeichen bei p.sol.ds)
 disp('%%%%%% Bifurcation from nontrivial solution for zeta = 3.3 is computed %%%%%%%%%%%%%%%%%%%%%%')
%  disp('%%%%%% Bifurcation from nontrivial solution for zeta = 3.3 (part 2) is computed %%%%%%%%%%%%%')
 fld_nontrivial_bifur2 = [pars.fld,'/path_two_mode_zeta=+3.300000_nontrivial_part_2'];
 if exist([fld_nontrivial_bifur2,'/pt745.mat'],'file') == 0
     disp('(This may take a minute)')
     evalc('p=swibra(fld_shifts2,''bpt1'',fld_nontrivial_bifur2);');
     p.sol.xi=0; % spiele etwas mit xi um wirklich Bifurkationspfad zu folgen
     p.usrlam=0;
     p.sw.bifcheck=0;
     p.sol.ds=-p.sol.ds;
     evalc('p=my_cont(p,20);');
     p.sol.xi=1; % es kann helfen xi zweimal zu ändern
     evalc('p=my_cont(p,20);');
     p.sol.xi=1/p.nu; % nun kann xi wieder resettet werden
     evalc('p=my_cont(p,700);');
     % Für Plot relevante Daten als point_vecs speichern (Teil bis zum
     % Index 56 ist doppelt (Anfang + gespiegelt)
     point_vecs.norms = 1/(2*pi)*p.branch(14,57:end);
     point_vecs.f1s = p.branch(10,57:end);
     point_vecs.zetas = 0*point_vecs.f1s + 3.6;
     save([fld_nontrivial_bifur2,'/point_vecs.mat'],'point_vecs')
 else
%      disp('Bifurcation from nontrivial solution for zeta = 3.3 (part 2) has been computed before')
     disp('Bifurcation from nontrivial solution for zeta = 3.3 has been computed before')
 end

