function [] = ZetaDreiKommaSechs(pars)

fld_pde2path = [pars.fld,'/pde2path_results'];

 %% Trivialkurve
disp('%%%%%% Path of trivial solutions is computed %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
 fld_const = [fld_pde2path,'/const_solutions'];
 if exist([fld_const,'/pt1000.mat'],'file') == 0
     dispersion=-0.1; zeta=-1; f0=2;
     p=[]; par=[dispersion; zeta; f0; 0; 0; 1];  % Parameter: d,zeta,f0,f1,omega1,epsilon
     nx=500; p=cLLinit(p,0,pi,nx,par); p=setfn(p,fld_const); 
     f=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+f0];
     disp('Starting solution using flsolve is computed')
     start=fsolve(f,[0, 0]);
     u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); p.u=[u;v; par];
     p.nc.ilam=2;
     disp('Path is computed (this may take a minute)')
     evalc('p=my_cont(p,1000);');
 else
     disp('Path of trivial solutions has been computed before')
 end


%% Erster Bifurkationspfad
disp('%%%%%% First bifurcation path for f_1 = 0 is computed up to right point with zeta = 3.6 %%%%%')
fld_bifur1 = [fld_pde2path,'/bifurcation_path_1'];
 if exist([fld_bifur1,'/pt403.mat'],'file') == 0
     disp('(This may take a minute)')
     evalc('p=swibra(fld_const,''bpt1'',fld_bifur1);');
%      p=swibra(fld_const,'bpt1',fld_bifur1);
     p.usrlam=3.6; 
     evalc('p=my_cont(p,400);');
 else
     disp('First bifurcation path for f_1 = 0 has been computed before')
 end

 %% f1-Fortsetzung nach Spiegelung (entlang Kurve der Shifts)
 disp('%%%%%% Correct shift is computed %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
 fld_shifts1 = [fld_pde2path,'/shift_path_1'];
 if exist([fld_shifts1,'/pt810.mat'],'file') == 0
     disp('(This may take a minute or two)')
     ind=my_findulamindex(fld_bifur1,399,2,2,3.6);
     p=loadp(fld_bifur1,['pt' num2str(ind)]);
     h1=p.u(1:p.np); fliph1=flipud(h1); h2=p.u(p.np+1:2*p.np); fliph2=flipud(h2); parh=p.u(p.nu+1:end); 
     nx=500; p=cLLinit(p,0,2*pi,2*nx,parh);
     u=[h1;fliph1(2:end)];v=[h2;fliph2(2:end)];p.u=[u;v;parh]; p.sw.bcper=1; p=box2per(p);
     p=setfn(p,fld_shifts1);
     p.nc.ilam=4;
     p.nc.tol=1e-5; % Toleranz muss am Anfang groß sein, damit er startet
     evalc('p=my_cont(p,10);');
     p.nc.tol=1e-8; % Toleranz kann nach paar Schritten wieder verkleinert werden
     evalc('p=my_cont(p,800);');
 else
     disp('Shift path has been computed before')
 end

 %% Erste Bifurkation in f1-Richtung
 disp('%%%%%% Bifurcation from nontrivial solution for zeta = 3.6 (part 1) is computed %%%%%%%%%%%%%')
 fld_nontrivial_bifur1 = [pars.fld,'/path_two_mode_zeta=+3.600000_nontrivial_part_1'];
 if exist([fld_nontrivial_bifur1,'/pt544.mat'],'file') == 0
     disp('(This may take a minute)')
     evalc('p=swibra(fld_shifts1,''bpt1'',fld_nontrivial_bifur1);');  % p=swibra(fld_shifts1,'bpt1',fld_nontrivial_bifur1);
     p.sol.xi=0; % spiele etwas mit xi um wirklich Bifurkationspfad zu folgen
     p.usrlam=0;
     p.sw.bifcheck=0;
     evalc('p=my_cont(p,20);');
     p.sol.xi=1; % es kann helfen xi zweimal zu ändern
     evalc('p=my_cont(p,20);');
     p.sol.xi=1/p.nu; % nun kann xi wieder resettet werden
     evalc('p=my_cont(p,500);');
     % Für Plot relevante Daten als point_vecs speichern
     point_vecs.norms = 1/(2*pi)*p.branch(14,:);
     point_vecs.f1s = p.branch(10,:);
     point_vecs.zetas = 0*point_vecs.f1s + 3.6;
     save([fld_nontrivial_bifur1,'/point_vecs.mat'],'point_vecs')
 else
     disp('Bifurcation from nontrivial solution for zeta = 3.6 (part 1) has been computed before')
 end

 %% Zweite Bifurkation in f1-Richtung
 disp('%%%%%% Bifurcation from nontrivial solution for zeta = 3.6 (part 2) is computed %%%%%%%%%%%%%')
 fld_nontrivial_bifur2 = [pars.fld,'/path_two_mode_zeta=+3.600000_nontrivial_part_2'];
 if exist([fld_nontrivial_bifur2,'/pt543.mat'],'file') == 0
     disp('(This may take a minute)')
     evalc('p=swibra(fld_shifts1,''bpt2'',fld_nontrivial_bifur2);'); % p=swibra(fld_shifts1,'bpt2',fld_nontrivial_bifur2);
     p.sol.xi=0;
     p.usrlam=0;
     p.sw.bifcheck=0;
     evalc('p=my_cont(p,20);');
     p.sol.xi=1; 
     evalc('p=my_cont(p,20);');
     p.sol.xi=1/p.nu;
     evalc('p=my_cont(p,500);');
     % Für Plot relevante Daten als point_vecs speichern
     point_vecs.norms = 1/(2*pi)*p.branch(14,:);
     point_vecs.f1s = p.branch(10,:);
     point_vecs.zetas = 0*point_vecs.f1s + 3.6;
     save([fld_nontrivial_bifur2,'/point_vecs.mat'],'point_vecs')
 else
     disp('Bifurcation from nontrivial solution for zeta = 3.6 (part 2) has been computed before')
 end

end