
%% Calculate Data
t=-0.9:1/1000000:0.99;

f=2; 
zeta=f^2*(1-t.^2)+t./sqrt(1-t.^2);
Re=f*(1-t.^2); Im=-f*t.*sqrt(1-t.^2); absu=Re.^2+Im.^2;
h=@(t) -2*t*f^2+1/(1-t^2)^(3/2); % Bei Wendepunkt muss zeta'(t)=0
first=fsolve(h,0.1); second=fsolve(h,0.8);
wp_first=find(abs(t-first)==min(abs(t-first))); wp_second=find(abs(t-second)==min(abs(t-second)));

f_2=2*sqrt(2)/27^(1/4); 
zeta_2=f_2^2*(1-t.^2)+t./sqrt(1-t.^2);
Re_2=f_2*(1-t.^2); Im_2=-f_2*t.*sqrt(1-t.^2); absu_2=Re_2.^2+Im_2.^2;
wp_2=find(t==1/2);

f_3=1; 
zeta_3=f_3^2*(1-t.^2)+t./sqrt(1-t.^2);
Re_3=f_3*(1-t.^2); Im_3=-f_3*t.*sqrt(1-t.^2); absu_3=Re_3.^2+Im_3.^2;


%% Plot 
fig10=figure(10); fig10.WindowState = 'maximized';
plot(zeta_3,2*pi*absu_3,'Color','green','LineWidth',3); hold on
plot(zeta_2,2*pi*absu_2,'Color','red','LineWidth',3);
plot(zeta,2*pi*absu,'Color','blue','LineWidth',3); 
plot(zeta(wp_first),2*pi*absu(wp_first),'x','Color','blue','MarkerSize',30,'LineWidth',3);
plot(zeta(wp_second),2*pi*absu(wp_second),'x','Color','blue','MarkerSize',30,'LineWidth',3);
plot(zeta_2(wp_2),2*pi*absu_2(wp_2),'x','Color','red','MarkerSize',30,'LineWidth',3);

set(gca,'FontSize', 36);
set(gca,'TickLabelInterpreter','latex');
pbaspect([2 1 1]);
xlim([-1, 5]); ylim([0, 26]);
xlabel('$\zeta$','Interpreter', 'latex');
ylabel('$ \|u\|_2^2$','Interpreter', 'latex');
legend({'$f_0=1$','$f_0=\frac{2 \sqrt{2}}{\sqrt[4]{27}}\approx 1.24$','$f_0=2$'},'Position',[0.16 0.63 0.18 0.25],'Interpreter','latex');