
%% Calculate data
d=-0.1; k=1; f=2; omega=1;

t=-0.9:1/1000000:0.99;

zeta=f^2*(1-t.^2)+t./sqrt(1-t.^2);
Re=f*(1-t.^2);
Im=-f*t.*sqrt(1-t.^2);
u0=Re+1i*Im;
absu=Re.^2+Im.^2;

alpha=(-1i*(d*k^2+k*omega+zeta+1i-2*absu))./((d*k^2+zeta-2*absu).^2-(omega*k+1i)^2-absu.^2);
beta=(1i*u0.^2)./((d*k^2+zeta-2*absu).^2-(omega*k-1i)^2-absu.^2);
x=zeta-1i-2*absu;
y=-u0.^2;
z=4*u0.*(alpha.*conj(alpha)+beta.*conj(beta))+4*conj(u0).*alpha.*beta;
epsilon=(-conj(z).*y+z.*conj(x))./(x.*conj(x)-y.*conj(y));
r=4*pi*(real(u0.*conj(epsilon))+alpha.*conj(alpha)+beta.*conj(beta));


%% Plot
fig10=figure(10); fig10.WindowState = 'maximized';
ind1=find(r<0,1,'first'); ind1=ind1-1;
ind2=find(r(ind1+1:end)>0,1,'first'); ind2=ind1+ind2-1;
ind3=find(r(ind2+1:end)<0,1,'first'); ind3=ind2+ind3-1;
ind4=find(r(ind3+1:end)>0,1,'first'); ind4=ind3+ind4-1;


plot(zeta(1:ind1),absu(1:ind1),'Color','blue','LineWidth',4); hold on
plot(zeta(ind1+1:ind2),absu(ind1+1:ind2),'Color','red','LineWidth',4); 
plot(zeta(ind2+1:ind3),absu(ind2+1:ind3),'Color','blue','LineWidth',4);
plot(zeta(ind3+1:ind4),absu(ind3+1:ind4),'Color','red','LineWidth',4);
plot(zeta(ind4+1:end),absu(ind4+1:end),'Color','blue','LineWidth',4);

set(gca,'FontSize', 36);
set(gca,'TickLabelInterpreter','latex');
pbaspect([2 1 1]);
xlim([-1, 5]); ylim([0, 4.2]);
xlabel('$\zeta$','Interpreter', 'latex');
ylabel('$\frac{1}{2\pi} \|u\|_2^2$','Interpreter', 'latex');

