function [] = figure9(pars)

fig = figure;
set(fig,'defaultAxesTickLabelInterpreter','latex');  
set(fig,'defaulttextinterpreter','latex');
set(fig,'defaultLegendInterpreter','latex');
matlab_colors=[0 0.4470 0.7410 ; 0.8500 0.3250 0.0980; 0.9290 0.6940 0.1250; 0.4940 0.1840 0.5560; 0.4660 0.6740 0.1880; 0.3010 0.7450 0.9330; 0.6350 0.0780 0.1840];
matlab_colors=repmat(matlab_colors,10,1);
tl=tiledlayout(2,3,'Padding','compact','TileSpacing','loose');
nexttile(1)
%% create norm plot
zeta_vec = 3;
create_norm_plot(pars,[],false,false,zeta_vec);
legend('off')
ylim([-0.35,0.35])
yticks([-0.2,0,0.2])
zlim([0.5,2.1])
xlim([2.9,3.1])
view(85,2)
title('')
%% lower path:
foldername = [pars.fld,'/path_two_mode_zeta=+3.000000_low'];
load([foldername,'/point_vecs.mat'])
if false % Wähle entsprechende k-Werte aus nach gleichmäßigem Abstand
    number_of_k_to_plot = 7;
    % compute length of path (as shown in the norm plot)
    f_1_differences = point_vecs.f1s(2:end) - point_vecs.f1s(1:end-1);
    norm_differences = point_vecs.norms(2:end) - point_vecs.norms(1:end-1);
    distances = sqrt( f_1_differences.^2 + norm_differences.^2 );
    total_path_length = sum(distances);
    cummulated_distances = [0,cumsum(distances)]; % Zählt die Abstände zusammen --> Abstand (auf Pfad) jedes Punktes vom Startpunkt
    k_to_plot = zeros(number_of_k_to_plot,1);
    for i=1:number_of_k_to_plot
        desired_distance = (i-1)/(number_of_k_to_plot-1)*total_path_length;
        [minimum_value, minimum_index] = min(abs(cummulated_distances-desired_distance));
        k_to_plot(i)=minimum_index -  1; %Indizes starten bei 1, k-Werte bei 0!
    end
else
    % Wähle entsprechende k-Werte aus nach Vorgabe
    k_to_plot = [0,5,9,15,24,39,47];
end
%% Markiere Punkte im Norm-Plot durch Dreiecke
for j = 1:length(k_to_plot)
    plot3(3,point_vecs.f1s(k_to_plot(j)+1),point_vecs.norms(k_to_plot(j)+1),...
          "^",'MarkerSize',6,'MarkerEdgeColor',matlab_colors(j,:),...
          'MarkerFaceColor',matlab_colors(j,:))
end
%% Lösungen auf erstem Teil des Pfades
files = what(foldername);
files=files.mat;
nexttile(2)
for j = 1:4
    k = k_to_plot(j);
    load([foldername,'/',files{k+1}])
    abs_sq_values = bc_mat(:,1).^2 + bc_mat(:,2).^2;
    abs_sq_values = [abs_sq_values;abs_sq_values(end)];
    plot3(pars.x_long_ext,j+0*pars.x_long_ext,abs_sq_values,...
          'DisplayName',num2str(f_1,'%.2f'),'LineWidth',1.5,...
          'Color',matlab_colors(j,:))
    hold on
end
grid on
xlim([-pi,pi])
xticks([-pi,-pi/2,0,pi/2,pi])
xticklabels({'$-\pi$','$-\pi/2$','$0$','$\pi/2$','$\pi$'})
xtickangle(-60)
xlabel('$s$','Interpreter','latex')
yticklabels('')
zlim([0,3])
zlabel('$|u(s)|^2$','Interpreter','latex')
lgd = legend('Location','northeast');
title(lgd,'$f_1$','Interpreter','latex')
lgd.ItemTokenSize = [10,18];
view(-62,25)
%% Lösungen auf zweitem Teil des Pfades
nexttile(3)
for j = 4:7
    k = k_to_plot(j);
    load([foldername,'/',files{k+1}])
    abs_sq_values = bc_mat(:,1).^2 + bc_mat(:,2).^2;
    abs_sq_values = [abs_sq_values;abs_sq_values(end)];
    plot3(pars.x_long_ext,j+0*pars.x_long_ext,abs_sq_values,...
          'DisplayName',num2str(f_1,'%.2f'),'LineWidth',1.5,...
          'Color',matlab_colors(j,:))
    hold on
end
grid on
xlim([-pi,pi])
xticks([-pi,-pi/2,0,pi/2,pi])
xticklabels({'$-\pi$','$-\pi/2$','$0$','$\pi/2$','$\pi$'})
xtickangle(-60)
xlabel('$s$','Interpreter','latex')
yticklabels('')
zlim([0,3])
zlabel('$|u(s)|^2$','Interpreter','latex')
lgd = legend('Location','northeast');
title(lgd,'$f_1$','Interpreter','latex')
lgd.ItemTokenSize = [10,18];
view(-62,25)
%% middle path
foldername = [pars.fld,'/path_two_mode_zeta=+3.000000_mid'];
load([foldername,'/point_vecs.mat'])
if false % Wähle entsprechende k-Werte aus nach gleichmäßigem Abstand
    number_of_k_to_plot = 12;
    % compute length of path (as shown in the norm plot)
    f_1_differences = point_vecs.f1s(2:end) - point_vecs.f1s(1:end-1);
    norm_differences = point_vecs.norms(2:end) - point_vecs.norms(1:end-1);
    distances = sqrt( f_1_differences.^2 + norm_differences.^2 );
    total_path_length = sum(distances);
    cummulated_distances = [0,cumsum(distances)]; % Zählt die Abstände zusammen --> Abstand (auf Pfad) jedes Punktes vom Startpunkt
    k_to_plot = zeros(number_of_k_to_plot,1);
    for i=1:number_of_k_to_plot
        desired_distance = (i-1)/(number_of_k_to_plot-1)*total_path_length;
        [minimum_value, minimum_index] = min(abs(cummulated_distances-desired_distance));
        k_to_plot(i)=minimum_index -  1; %Indizes starten bei 1, k-Werte bei 0!
    end
else
    % Wähle entsprechende k-Werte aus nach Vorgabe
    k_to_plot = [0,11,19,26,38,55,66,70,79,102,114,139];
end
%% Markiere Punkte im Norm-Plot durch Dreiecke
nexttile(1)
for j = 1:length(k_to_plot)
    if j ~= 12
        plot3(3,point_vecs.f1s(k_to_plot(j)+1),point_vecs.norms(k_to_plot(j)+1),...
              "o",'MarkerSize',6,'MarkerEdgeColor',matlab_colors(j,:),...
              'MarkerFaceColor',matlab_colors(j,:))
    else
        plot3(3,point_vecs.f1s(k_to_plot(j)+1),point_vecs.norms(k_to_plot(j)+1),...
              "o",'MarkerSize',6,'MarkerEdgeColor',matlab_colors(7,:),...
              'MarkerFaceColor',matlab_colors(7,:))
    end
end
% Lösungen auf erstem Teil des Pfades
files = what(foldername);
files=files.mat;
nexttile(4)
for j = 1:6
    k = k_to_plot(j);
    load([foldername,'/',files{k+1}])
    abs_sq_values = bc_mat(:,1).^2 + bc_mat(:,2).^2;
    abs_sq_values = [abs_sq_values;abs_sq_values(end)];
    plot3(pars.x_long_ext,j+0*pars.x_long_ext,abs_sq_values,...
          'DisplayName',num2str(f_1,'%.2f'),'LineWidth',1.5,...
          'Color',matlab_colors(j,:))
    hold on
end
grid on
xlim([-pi,pi])
xticks([-pi,-pi/2,0,pi/2,pi])
xticklabels({'$-\pi$','$-\pi/2$','$0$','$\pi/2$','$\pi$'})
xtickangle(-60)
xlabel('$s$','Interpreter','latex')
yticklabels('')
zlim([0,3])
zlabel('$|u(s)|^2$','Interpreter','latex')
lgd = legend('Location','northeast');
title(lgd,'$f_1$','Interpreter','latex')
lgd.ItemTokenSize = [10,18];
view(-62,25)
% Lösungen auf zweitem Teil des Pfades
nexttile(5)
for j = 6:9
    k = k_to_plot(j);
    load([foldername,'/',files{k+1}])
    abs_sq_values = bc_mat(:,1).^2 + bc_mat(:,2).^2;
    abs_sq_values = [abs_sq_values;abs_sq_values(end)];
    plot3(pars.x_long_ext,j+0*pars.x_long_ext,abs_sq_values,...
          'DisplayName',num2str(f_1,'%.2f'),'LineWidth',1.5,...
          'Color',matlab_colors(j,:))
    hold on
end
grid on
xlim([-pi,pi])
xticks([-pi,-pi/2,0,pi/2,pi])
xticklabels({'$-\pi$','$-\pi/2$','$0$','$\pi/2$','$\pi$'})
xtickangle(-60)
xlabel('$s$','Interpreter','latex')
yticklabels('')
zlim([0,3])
zlabel('$|u(s)|^2$','Interpreter','latex')
lgd = legend('Location','northeast');
title(lgd,'$f_1$','Interpreter','latex')
lgd.ItemTokenSize = [10,18];
view(-62,25)
% Lösungen auf drittem Teil des Pfades
nexttile(6)
for j = 9:12
    k = k_to_plot(j);
    load([foldername,'/',files{k+1}])
    abs_sq_values = bc_mat(:,1).^2 + bc_mat(:,2).^2;
    abs_sq_values = [abs_sq_values;abs_sq_values(end)];
    if j~=12
        plot3(pars.x_long_ext,j+0*pars.x_long_ext,abs_sq_values,...
              'DisplayName',num2str(f_1,'%.2f'),'LineWidth',1.5,...
              'Color',matlab_colors(j,:))
    else
        plot3(pars.x_long_ext,j+0*pars.x_long_ext,abs_sq_values,...
              'DisplayName',num2str(f_1,'%.2f'),'LineWidth',1.5,...
              'Color',matlab_colors(7,:))
    end
    hold on
end
grid on
xlim([-pi,pi])
xticks([-pi,-pi/2,0,pi/2,pi])
xticklabels({'$-\pi$','$-\pi/2$','$0$','$\pi/2$','$\pi$'})
xtickangle(-60)
xlabel('$s$','Interpreter','latex')
yticklabels('')
zlim([0,3])
zlabel('$|u(s)|^2$','Interpreter','latex')
lgd = legend('Location','northeast');
title(lgd,'$f_1$','Interpreter','latex')
lgd.ItemTokenSize = [10,18];
view(-62,25)
annotation('textbox',[.01 .7 .3 .3],'String','$(a)$','EdgeColor','none','Interpreter','latex')
annotation('textbox',[.34 .7 .3 .3],'String','$(b)$','EdgeColor','none','Interpreter','latex')
annotation('textbox',[.66 .7 .3 .3],'String','$(c)$','EdgeColor','none','Interpreter','latex')
annotation('textbox',[.01 .18 .3 .3],'String','$(d)$','EdgeColor','none','Interpreter','latex')
annotation('textbox',[.34 .18 .3 .3],'String','$(e)$','EdgeColor','none','Interpreter','latex')
annotation('textbox',[.66 .18 .3 .3],'String','$(f)$','EdgeColor','none','Interpreter','latex')

% title(tl,'Figure 9')
end