function [pars] = create_pars(pars)
% set remaining parameters, create folders

%% parameters
pars.f_1 = 0;
% number of discretizaion points in space
pars.M_f_1 = 1000; % für das Intervall [-pi,pi]
pars.M_zeta = pars.M_f_1/2; % für das Intervall [0,pi]
% Length of predictor steps at beginning/maximal/minimal
pars.lambda_0 = 0.25; % for zeta path-tracing
pars.lambda_0_f_1 = 0.25; % for f_1 path-tracing
pars.lambda_max = 4;
pars.lambda_min = 1/64;
% maximum f_1 value before a path is interpreted as unbounded in f_1:
pars.maximum_f_1_value = 10;
% From which total variation on is a function interpreted as a constant function
pars.max_tv = 1e-5;

%% discretization
pars.h = pi/pars.M_zeta; % Gitterweite, auf beiden Intervallen ([-pi,pi] und [0,pi]) identisch 
pars.x_short = linspace(pars.h,pi-pars.h,pars.M_zeta-1)'; % Vektor der Stützstellen. Für diese Stützstellen werden tatsächlich Approximationen berechnet
pars.x_short_ext = linspace(0,pi,pars.M_zeta+1)'; % Randstellen 0 und pi können einfach kopiert werden wegen RBs
pars.x_long = linspace(-pi,pi-pars.h,2*pars.M_zeta)'; % Vektor der Stützstellen auf [-pi,pi] für peridosche Funktionen.
pars.x_long_ext = linspace(-pi,pi,2*pars.M_zeta+1)'; % Auf diese Stützstellen kann die berechnete Lösung erweitert werden

%% foldername
pars.fld = ['solutions/d = ',        num2str(pars.d,'%+05.2f'), ...
                    ', omega = ',    num2str(pars.omega,'%+05.2f'), ...
                    ', f_0 = ',      num2str(pars.f_0,'%+06.2f'), ...
                    ', k_1 = ',      num2str(pars.k_1,'%+03i'),...
                    ', M = ',        num2str(pars.M_f_1, '%04i'), ...
                    ', lambda_0 = ', num2str(pars.lambda_0, '%4.2f') ];
if exist(pars.fld,'dir')==0
    mkdir(pars.fld)
end

end

