function [bc_mat,f_1] = path_tracing_f_1_fixed_start_solution(opts,pars)
% Compute one path (over f_1) starting from a constant solution for f_1=0.
% Zeta must be given in opts, level can be given if desired (otherwise, 
% user can choose from all constant solutions for this zeta)
if isfield(opts,'level') == 0
    opts.level = [];
end
addpath('functions\plot functions')
addpath('functions\path_tracing zeta')
fig = gcf; clf(fig); 
handles = create_norm_plot(pars,0,1,0);
% suche Lösungen mit ungefähr gewünschtem zeta
[indices,indices_plot,norms,handle_desired_zeta] = look_for_solutions(opts.zeta,pars);
% Wähle eine der gefundenen Lösungen aus
[index,branch,handle_selection] = choose_solution(indices,indices_plot,opts.level,pars);
% Lade ausgewählte Lösung
[zeta,bc_mat,direction] = load_solution(index,branch,pars);
% mache einen Schritt mit geeigneter Schrittweite, um den exakten
% Wert von zeta zu erhalten
[bc_mat,zeta] = adapt_zeta_value(zeta,bc_mat,direction,opts.zeta,pars);
% Bereite Pfadverfolgung nach f_1 vor
rmpath('functions\path_tracing zeta')
addpath('functions\path_tracing f_1')
% Erweitere Lösung vom Intervall [0,pi] auf [-pi,pi]
bc_mat = extend_solution(bc_mat);
% Pfadverfolgun nach f_1 durchführen
fig = gcf; clf(fig);
[bc_mat,f_1] = path_tracing_f_1(bc_mat,zeta,branch,pars);
rmpath('functions\path_tracing f_1')

end

