function [] = path_tracing_f_1_fixed_zeta(opts,pars)
% Compute all paths staring from the different constant solutions for f_1=0
% for one fixed value of zeta.

addpath('functions\path_tracing zeta')

fig = gcf; clf(fig); 
handles = create_norm_plot(pars,false,true,false);

% suche Lösungen mit ungefähr gewünschtem zeta
[indices,indices_plot,norms,handle_desired_zeta] = look_for_solutions(opts.zeta,pars);
todo_inds = 1:length(indices);
rmpath('functions\path_tracing zeta')

% Falls zeta > 4 ist gibt es keine "obere" Lösung, sondern nur eine
% "untere"
if opts.zeta > 4
    todo_inds = 3;
end

% Starte Pfadverfolgung für jede der gefundenen Lösungen
while isempty(todo_inds) == false
    disp('%%%%%%%%%% Next path %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
    % Welcher Pfad ist an der Reihe?
    if todo_inds(1) == 1
        disp('Starte an oberster konstanter Lösung für f_1 = 0')
    elseif todo_inds(1) == 2
        disp('Starte an mittlerer konstanter Lösung für f_1 = 0')
    else
        disp('Starte an unterer konstanter Lösung für f_1 = 0')
    end
    opts.level = todo_inds(1);
    % Berechne entsprechenden Pfad
    [bc_mat,f_1] = path_tracing_f_1_fixed_start_solution(opts,pars);
    todo_inds(1) = [];
    % checke, ob das Ende des Pfades eine konstante Lösung ist und
    % wenn ja, entferne sie aus der ToDo Liste
    addpath('functions\path_tracing f_1')
    if total_variation(bc_mat) < 1e-5 % konstant falls TotalVariation quasi 0
        todo_inds = remove_constant_solution_from_todo(todo_inds,bc_mat,norms,pars);
    end
    rmpath('functions\path_tracing f_1')
end

end

