function [matrix] = A_h_periodic_TRAVEL(h,size)
%A_h constructs the matrix of size (size x size) that describes the finite difference
%approximations to the second derivatives using peridoic bpundary conditions:
%             |-2  1        1|
%             | 1 -2  1      |
% A_h = 1/h^2 |    *  *  *   |
%             |       1 -2  1|
%             | 1        1 -2|

matrix = 1/h^2 * ( diag(-2*ones(size,1)) + diag(ones(size-1,1),1) + diag(ones(size-1,1),-1) );
matrix(end,1)=1/h^2; matrix(1,end)=1/h^2;

end

