function [matrix] = A_x_tau_f_1(tau,size)
%A_h constructs the matrix of size (size x size) that describes the finite difference
%approximations to the first derivatives:
%                | 0 1       -1|
%                |-1 0  1      |
% A_tau = 1/2tau |    *  *  *  |
%                |      -1  0 1|
%                | 1       -1 0|
% (for functions with periodic RBs)
matrix = 1/(2*tau) * ( diag(ones(size-1,1),1) + diag(-ones(size-1,1),-1) + diag(-1,size-1) + diag(1,-size+1) );

end

