function [matrix] = A_xx_tau_f_1(tau,size)
%A_h constructs the matrix of size (size x size) that describes the finite difference
%approximations to the second derivatives:
%             |-2  1        1|
%             | 1 -2  1      |
% A_h = 1/h^2 |    *  *  *   |
%             |       1 -2  1|
%             | 1        1 -2|
% (for functions with periodic RBs)
matrix = 1/tau^2 * ( diag(-2*ones(size,1)) ...
                   + diag(ones(size-1,1),1) + diag(ones(size-1,1),-1) ...
                   + diag(1,size-1)         + diag(1,-size+1) );

end

