function [ output ] = H_complete_jacobian_f_1(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)

% Evaluates the derivative of H at a given vector (f_1,bvec,cvec) for
% - given parameters d, f_0, zeta, k_1, omega
% - a given number M of nodes in the intervall
% - given width h between two nodes
% BEACHTE: Die Vektoren bvec,cvec enthalten nur die Funktionswerte an den
% inneren Sttzstellen x_(-M),...,x_(M-1)
%
% bc_mat(:,1) gives the vector b of real parts, bc_mat(:,2) gives the
% vector c of imaginary parts
 
% First colum:          derivative w.r.t. f_1
% colums 2 - M:         derivatives w.r.t. b
% columns M+1 - 2M-1:   derivatives w.r.t. c

output = [cos(k_1*s) , ...
          omega*A_x_tau_f_1(tau,M) - eye(M) - 2*diag(bc_mat(:,1).*bc_mat(:,2)) ,...
          zeta*eye(M) - d*A_xx_tau_f_1(tau,M) - diag(bc_mat(:,1).^2+3*bc_mat(:,2).^2) ;...
          sin(k_1*s) , ...
          - zeta*eye(M) + d*A_xx_tau_f_1(tau,M) + diag(3*bc_mat(:,1).^2 + bc_mat(:,2).^2) , ...
          omega*A_x_tau_f_1(tau,M) - eye(M) + diag(2*bc_mat(:,1).*bc_mat(:,2))];

end



