function [ output ] = H_complete_values_TRAVEL(f_1,bc_mat,zeta,d,f_0,k_1,nu_1,h,M,s)
%H_complete_values Evaluates the function H at a given vector (f_1,bvec,cvec) for
% - given parameters d, f_0, k_1, nu_1
% - a given number M of nodes in the intervall
% - given width h between two nodes
% BEACHTE: Die Vektoren bvec,cvec enthalten nur die Funktionswerte an den
% Sttzstellen s_0,...,s_(M-1) (peridosiche RB!)
%
% bc_mat(:,1) gives the vector b of real parts, bc_mat(:,2) gives the
% vector c of imaginary parts
H_complete_1 = nu_1/k_1/(2*h) * (circshift(bc_mat(:,1),-1) - circshift(bc_mat(:,1),1)) + zeta * bc_mat(:,2) - bc_mat(:,1) ...
               - d*A_h_periodic_TRAVEL(h,M)*bc_mat(:,2) - bc_mat(:,1).^2.*bc_mat(:,2)-bc_mat(:,2).^3 + f_0 + f_1*cos(k_1*s);
H_complete_2 = nu_1/k_1/(2*h) * (circshift(bc_mat(:,2),-1) - circshift(bc_mat(:,2),1)) - zeta * bc_mat(:,1) - bc_mat(:,2) ...
               + d*A_h_periodic_TRAVEL(h,M)*bc_mat(:,1) + bc_mat(:,1).^3 + bc_mat(:,1).*bc_mat(:,2).^2 + f_1*sin(k_1*s);
 
output = [H_complete_1 ; H_complete_2];

end

