function [ output ] = H_complete_values_f_1(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)
% Evaluates the function H at a given vector (f_1,bvec,cvec) for
% - given parameters d, f_0, zeta, k_1, omega
% - a given number M of nodes in the intervall
% - given width tau between two nodes
% BEACHTE: Die Vektoren bvec,cvec enthalten nur die Funktionswerte an den
% Sttzstellen x_(-M),...,x_(M-1) wegen der periodischen RB. 
%
% bc_mat(:,1) gives the vector b of real parts, bc_mat(:,2) gives the
% vector c of imaginary parts
H_complete_1 = omega * A_x_tau_f_1(tau,M) * bc_mat(:,1) ...
               + zeta * bc_mat(:,2) - bc_mat(:,1) ...
               - d*A_xx_tau_f_1(tau,M)*bc_mat(:,2) ...
               - bc_mat(:,1).^2.*bc_mat(:,2)-bc_mat(:,2).^3 ...
               + f_0 + f_1*cos(k_1*s);
H_complete_2 = omega * A_x_tau_f_1(tau,M) * bc_mat(:,2) ...
               - zeta * bc_mat(:,1) - bc_mat(:,2) ...
               + d*A_xx_tau_f_1(tau,M)*bc_mat(:,1) ...
               + bc_mat(:,1).^3 + bc_mat(:,1).*bc_mat(:,2).^2 ...
               + f_1*sin(k_1*s);
 
output = [H_complete_1 ; H_complete_2];

end