function [lambda,steplength_string] = adapt_predictor_steplength(lambda,pars,corr_steps,f_1,tangent_vector)
% Vergrößere Schrittweite, falls wenige Korrektorschritte reichen.
% Verkleinere sie, falls viele Korrektorschritte nötig sind.

if corr_steps < 3 % Sehr wenige Korrektorschritte nötig
    lambda = 2*lambda;
    if lambda > pars.lambda_max
        lambda = pars.lambda_max;
        steplength_string = ['Schrittweite maximal: ',num2str(lambda)];
    else
        steplength_string = ['Schrittweite verdoppelt zu ',num2str(lambda)];
    end
elseif corr_steps > 4 % Zu viele Korrektorschritte nötig
    lambda = lambda/2;
    steplength_string = ['Schrittweite halbiert zu ',num2str(lambda)];
else % Schrittweite bleibt unverändert
    steplength_string = ['Schrittweite ',num2str(lambda),' wird beibehalten.'];
end

% Überprüfe, ob im nächsten Schritt die Ebene f_1 = 0 übersprungen werden
% würde. Falls ja, Schrittweite maximal als lambda_0 wählen!
f_1_new = f_1 + lambda * tangent_vector(1);
if f_1_new * f_1 < 0 || abs(f_1_new) < 8e-3 % Vorzeichenwechsel oder nahe an Null dran
    if lambda > pars.lambda_0
        lambda = pars.lambda_0;
        steplength_string = ['Schrittweite wird reduziert zu ',num2str(lambda),', weil Ebene f_1 = 0 näher rückt.'];
    end
end

end

