function [outputArg1] = func_norm_long(bc_mat,h)
%func_norm_long Berechnet L^2-Norm einer Funktion auf dem Intervall [-pi,pi] 
% mit Periodischen RBs, also mit x_(-M)=x_M
%   Beachte: In bc_mat sind nur die Werte an den Stellen x_(-M),...,x_(M-1)
%   gegeben --> Vektor um den Eintrag fr x_M ergnzen! Die Randwerte
%   werden in der Norm-Berechnung (Integralapproximation) aber nur mit
%   Faktor 1/2 gewichtet!
%   Auerdem: Vorfaktor sqrt(1/2pi), damit eine konstante Funktion f(x)=c
%   auch genau Norm c hat!
bc_mat=[bc_mat;bc_mat(end,:)];
abs_mat_squared = bc_mat(:,1).^2 + bc_mat(:,2).^2;
outputArg1 = 1/sqrt(2*pi)*sqrt( h*sum( [abs_mat_squared(1)/2; abs_mat_squared(2:end-1); abs_mat_squared(end)/2] ) );
end

