function [res] = isshifted(bc_mat,pars)
% Überprüfe, ob ein Shift der Lösung um pi der ursprünglichen Lösung 
% entspricht (d.h., falls f_1 = 0, dann handelt es sich um eine Lösung, die
% auch auf dem gespiegelten Teil des Pfades liegt)

M = pars.M_f_1;
% Geshiftete Lösung
bc_shifted = circshift(bc_mat,M/2);
% Berechne Differenz
norm_diff = func_norm_long(bc_shifted - bc_mat,pars.h);
if norm_diff < 2e-5
    res = true;
else
    res = false;
end
disp(['Normdifferenz zur geshifteten Lösung: ',num2str(norm_diff)])
end

