function [bc_mat_new,f_1_new,tangent_vector_new,corr_steps] ...
    = path_tracing_step_f_1(bc_mat,f_1,zeta,tangent_vector,lambda,direction,pars)
% Mache einen Schritt der Pfadverfolgung (Prädiktorschritt +
% Korrektorschritte)

M = pars.M_f_1;

% Prädiktorschritt
f_1_new = f_1   + lambda * tangent_vector(1);
bc_mat_new = bc_mat + lambda*[tangent_vector(2:M+1), tangent_vector(M+2:2*M+1)];

% Korrektorschritte
i = 0;
norm_of_H = norm(H_complete_values_f_1(f_1_new,bc_mat_new,zeta,pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,M,pars.x_long));

while norm_of_H > 10^(-6)
%     disp(['Schritt ',num2str(i),', Norm ',num2str(norm_of_H)])
    z = calculate_corrector_update_f_1(f_1_new,bc_mat_new,zeta,pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,M,pars.x_long);
    % subtrahiere von v für nächste Iteration
    f_1_new = f_1_new - z(1);
    bc_mat_new = bc_mat_new - [z(2:M+1), z(M+2:2*M+1)];
    norm_of_H = norm(H_complete_values_f_1(f_1_new,bc_mat_new,zeta,pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,M,pars.x_long));
    i=i+1;
end    
% disp(['Schritt ',num2str(i),', Norm ',num2str(norm_of_H)])

% Berechne neuen Tangentenvektor
tangent_vector_new = calculate_tangent_vector_f_1(f_1_new,bc_mat_new,zeta,...
                           direction,pars,0);
corr_steps = i;
end

