function [matrix] = A_x_tau(tau,size)
%A_h constructs the matrix of size (size x size) that describes the finite difference
%approximations to the first derivatives:
%                |-1 1         |
%                |-1 0  1      |
% A_tau = 1/2tau |    *  *  *  |
%                |      -1  0 1|
%                |         -1 1|
% (for functions where f_0 = f_1 and f_{M-1} = f_M)
matrix = 1/(2*tau) * ( diag([-1;zeros(size-2,1);1]) + diag(ones(size-1,1),1) + diag(-ones(size-1,1),-1) );

end

