function [matrix] = A_xx_tau(tau,size)
%A_h constructs the matrix of size (size x size) that describes the finite difference
%approximations to the second derivatives:
%             |-1  1         |
%             | 1 -2  1      |
% A_h = 1/h^2 |    *  *  *   |
%             |       1 -2  1|
%             |          1 -1|
% (for functions where f_0 = f_1 and f_{M-1} = f_M)
matrix = 1/tau^2 * ( diag([-1;-2*ones(size-2,1);-1]) + diag(ones(size-1,1),1) + diag(ones(size-1,1),-1) );

end

