function [ output ] = H_complete_values(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)
% Evaluates the function H at a given vector (zeta,bvec,cvec) for
% - given parameters d, f_0, f_1, k_1, omega
% - a given number M of nodes in the intervall
% - given width tau between two nodes
% BEACHTE: Die Vektoren bvec,cvec enthalten nur die Funktionswerte an den
% inneren Sttzstellen x_1,...,x_(M-1)
%
% bc_mat(:,1) gives the vector b of real parts, bc_mat(:,2) gives the
% vector c of imaginary parts
H_complete_1 = omega * A_x_tau(tau,M-1) * bc_mat(:,1) ...
               + zeta * bc_mat(:,2) - bc_mat(:,1) ...
               - d*A_xx_tau(tau,M-1)*bc_mat(:,2) ...
               - bc_mat(:,1).^2.*bc_mat(:,2)-bc_mat(:,2).^3 ...
               + f_0 + f_1*cos(k_1*s);
H_complete_2 = omega * A_x_tau(tau,M-1) * bc_mat(:,2) ...
               - zeta * bc_mat(:,1) - bc_mat(:,2) ...
               + d*A_xx_tau(tau,M-1)*bc_mat(:,1) ...
               + bc_mat(:,1).^3 + bc_mat(:,1).*bc_mat(:,2).^2 ...
               + f_1*sin(k_1*s);
 
output = [H_complete_1 ; H_complete_2];

end

