function [ output ] = H_tilde_jacobian(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)
% Evaluates the derivative of H_tilde at a given vector (bvec,cvec) for
% - given parameters d, f_0, f_1, k_1, omega
% - a given number M of nodes in the intervall
% - given width h between two nodes
% (zeta is not a variable!)
%
% BEACHTE: Die Vektoren bvec,cvec enthalten nur die Funktionswerte an den
% inneren Sttzstellen x_1,...,x_(M-1)
%
% bc_mat(:,1) gives the vector b of real parts, bc_mat(:,2) gives the
% vector c of imaginary parts
 
% colums 1 - M-1:   derivatives w.r.t. b
% columns M - 2M-2: derivatives w.r.t. c
 
output = [omega*A_x_tau(tau,M-1) - eye(M-1) - 2*diag(bc_mat(:,1).*bc_mat(:,2)) ,...
            zeta*eye(M-1) - d*A_xx_tau(tau,M-1) - diag(bc_mat(:,1).^2+3*bc_mat(:,2).^2) ;...
          - zeta*eye(M-1) + d*A_xx_tau(tau,M-1) + diag(3*bc_mat(:,1).^2 + bc_mat(:,2).^2) , ...
          omega*A_x_tau(tau,M-1) - eye(M-1) + diag(2*bc_mat(:,1).*bc_mat(:,2))];

end

