function [ output1, output2 ] ...
    = H_tilde_values_and_jacobian(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s)
%H_tilde_values_and_jacobian evaluates the function H AND its jacobian 
% WITH RESPECT TO THE VARIABLES b AND c at a given vector bc_mat=(bvec,cvec)
% (zeta is not a variable!) for
% - given parameters zeta, d, f_0, f_1, k_1, omega
% - a given number M of nodes in the intervall
% - given width h between two nodes
% bc_mat(:,1) gives the vector b of real parts,
% bc_mat(:,2) gives the vector c of imaginary parts
% BEACHTE: Die Vektoren bc_mat(:,1),bc_mat(:,2) enthalten nur die Funktionswerte an den
% inneren Sttzstellen x_1,...,x_(M-1)
 
output1 = H_complete_values(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s);
output2 = H_tilde_jacobian(f_1,bc_mat,zeta,d,f_0,k_1,omega,tau,M,s);

end

