function [index,branch,handle_selection] = choose_solution(indices,indices_plot,level,pars)
% Falls level = []: Lasse den Benutzer eine der gefundenen Lösungen für den
% gewünschten zeta-Wert aussuchen (falls es mehrere gibt)
% Falls Level angegeben: Wähle die entsprechende Lösung aus indices aus
% (indices sind absteigend nach Größe der Norm sortiert!)

ms = 8; % MarkerSize

% Lade point_vecs des Pfades konstanter Lösungen
fld = [pars.fld,'/path_one_mode_constant_solutions'];
load([fld,'/point_vecs.mat'],'point_vecs')

% Falls mehr als ein Punkt und kein Level gegeben: Auswählen lassen
if length(indices) > 1
    if isempty(level)
        disp('Which solution as initial point for f_1-pathtracing?')
        for ind = 1 :length(indices)
            disp([num2str(ind),': Solution with norm ',num2str(point_vecs.norms(indices_plot(ind)))])
        end
        level = input('Selection: ');
    end
    index = indices(level);
    index_plot = indices_plot(level);
else
    if isempty(level) == false && level ~= 1 && level ~=3
        disp('Achtung: Es wurde nur eine Lösung gefunden, die nicht dem gewünschten Level entspricht.')
        index = [];
        branch = [];
        handle_selection = [];
        return
    else
        index = indices;
        index_plot = indices_plot;
    end
end

% markiere ausgewählten Punkte
zetas = point_vecs.zetas(index_plot);
norms = point_vecs.norms(index_plot);
f1s = point_vecs.f1s(index_plot);
handle_selection = plot3(zetas,f1s,norms,'o','Color','k','MarkerFaceColor','cyan','MarkerSize',ms,'DisplayName','selected solutions');
drawnow()

branches = {'top','mid','low'};
branch = branches{level};

end

