function [bifurcation_points_todo] ...
    = delete_tangent_vector(zeta_bifur,bc_bifur,zeta,bc_mat,...
                    bifurcation_points_todo,filename_bifur_todo,pars)
% Ggf. braucht der entsprechende Tangentenvektor aus der
% bifurcation_points_todo structure nicht mehr betrachtet
% werden! --> Untersuchen!

%% Schaue, ob der Verzweigungspunkt in der bifurcation_points_todo structure enthalten ist
% Gehe alle Verzweigungspunkte in bifurcation_points_todo durch
numbifur = length(bifurcation_points_todo.zetas);
for ind = 1:numbifur
    % Stimmen die zeta-Werte überein?
    if abs(zeta_bifur - bifurcation_points_todo.zetas(ind)) < 1e-3
        % Stimmen die Funktionen überein?
        bc_mat_curr = [bifurcation_points_todo.b_values(:,ind),...
                       bifurcation_points_todo.c_values(:,ind) ];
        diff = func_norm(bc_bifur-bc_mat_curr,pars.h);
        if diff < 1e-2
            % Übereinstimmender Verzweigungspunkt gefunden!
            point_ind = ind;
            break
        end
    end
end
if exist('point_ind','var') == 0
    % Kein Übereinstimmender Verzweigungspunkt in der ToDo Liste gefunden 
    % (darf nicht vorkommen, denn dann wären schon alle Verzweigungen
    % dieses Punktes gefunden worden)
    disp('Alle Verzweigungen dieses Verzweigungspunktes wurden bereits vorher verfolgt.')
else
    % Verzweigungspunkt ist noch in der ToDo-Liste
    %% Schaue, ob die Eingangsrichtung noch in der entsprechenden Tangentenvektoren-ToDo-Liste ist
    % Bestimme Eingangsrichtung
    bc_bifur = [bifurcation_points_todo.b_values(:,point_ind),...
                bifurcation_points_todo.c_values(:,point_ind)];
    zeta_bifur = bifurcation_points_todo.zetas(point_ind);
    oncoming_direction = [zeta-zeta_bifur;bc_mat(:,1)-bc_bifur(:,1);...
                                          bc_mat(:,2)-bc_bifur(:,2)];
    % Gehe alle ToDo-Tangentenvektoren durch und schaue, ob einer in die
    % ähnliche Richtung zeigt wie oncoming direction
    u = oncoming_direction; 
    for i = 1:bifurcation_points_todo.num_possible_directions(point_ind)
        v = bifurcation_points_todo.tangent_vectors{point_ind}{i};
        angle = acos( dot(u/norm(u),v/norm(v)) );
%         disp(['Winkel zwischen Eingangsrichtung und ',num2str(i),'-tem Tangentenvektor aus ToDo Liste: ',num2str(angle/pi*180),'°'])
        if angle < pi/4
%             disp('--> Ähnliche Richtung, dieser Tangentenvektor wird aus der ToDo-Liste entfernt')
            if bifurcation_points_todo.num_possible_directions(point_ind) > 1
                % entferne nur den einen Tangentenvektor
                bifurcation_points_todo.tangent_vectors{point_ind}(i) = [];
                bifurcation_points_todo.num_possible_directions(point_ind) = ...
                    bifurcation_points_todo.num_possible_directions(point_ind) - 1;
                disp(['Es bleiben noch ',num2str(bifurcation_points_todo.num_possible_directions(point_ind)),...
                      ' mögliche Verzweigungen von diesem Verzweigungspunkt'])
            else
                disp('Alle Verzweigungen dieses Verzweigungspunktes wurden hiermit gefunden.')
                % entferne den ganzen Punkt
                bifurcation_points_todo.b_values(:,point_ind) = [];
                bifurcation_points_todo.c_values(:,point_ind) = [];
                bifurcation_points_todo.zetas(point_ind) = [];
                bifurcation_points_todo.norms(point_ind) = [];
                bifurcation_points_todo.f1s(point_ind) = [];
                bifurcation_points_todo.num_possible_directions(point_ind) = [];
                bifurcation_points_todo.tangent_vectors(point_ind) = [];
                bifurcation_points_todo.tangent_directions(point_ind) = [];
                bifurcation_points_todo.levels(point_ind) = [];
            end
            save(filename_bifur_todo,'bifurcation_points_todo')
            return
        end
    end
    % Falls kein übereinstimmender Tangentenvektor:
    disp('Eingansrichtung war nicht in der Tangentenvektoren-ToDo-Liste')
end


end

