function [outputArg1] = func_norm(bc_mat,h)
%func_norm Berechnet L^2-Norm einer Funktion auf dem Intervall [0,pi] 
% mit Neumann-RBs, also mit x_0=x_1 und x_M = x_(M-1)
%   Beachte: In bc_mat sind nur die Werte an den Stellen x_1,...,x_(M-1)
%   gegeben --> Vektor um die Eintrge fr x_0 und x_M ergnzen! Diese
%   werden in der Norm-Berechnung (Integralapproximation) aber nur mit
%   Faktor 1/2 gewichtet!
%   Auerdem: Vorfaktor sqrt(1/pi), damit eine konstante Funktion f(x)=c
%   auch genau Norm c hat!
bc_mat=[bc_mat(1,:);bc_mat;bc_mat(end,:)];
abs_mat_squared = bc_mat(:,1).^2 + bc_mat(:,2).^2;
outputArg1 = 1/sqrt(pi)*sqrt( h*sum( [abs_mat_squared(1)/2; abs_mat_squared(2:end-1); abs_mat_squared(end)/2] ) );
end

