function [is_new,ind] = is_new_bifurcation_point(bc_mat,zeta,bifurcation_points,pars)
% Überprüfe, ob der Punkt (zeta,bc_mat) bereits in der structure
% bifurcation_points enthalten ist (näherungsweise) oder ob ein neuer
% Verzweigungspunkt gefunden wurde

numbifur = length(bifurcation_points.zetas);
is_new = true;

% Gehe alle Verzweigungspunkte in bifurcation_points durch
for ind = 1:numbifur
    % Stimmen die zeta-Werte überein?
    if abs(zeta - bifurcation_points.zetas(ind)) < 1e-3
        % Stimmen die Funktionen überein?
        bc_mat_curr = [bifurcation_points.b_values(:,ind),...
                       bifurcation_points.c_values(:,ind) ];
        diff = func_norm(bc_mat-bc_mat_curr,pars.h);
%         disp(['Abstand zu bisherigem Verzweigungspunkten: ',num2str(diff)])
        if diff < 4e-3
            % Übereinstimmender Verzweigungspunkt gefunden!
            is_new = false;
            break
        end
    end
end
% Kein Übereinstimmender Verzweigungspunkt gefunden
ind = [];

end

