function [zeta,bc_mat,direction,branch,handle_desired_zeta,handle_selection] = look_for_solution(start_options,pars)

ms = 8; % MarkerSize

% Lade point_vecs des Pfades konstanter Lösungen
fld = [pars.fld,'/path_one_mode_constant_solutions'];
load([fld,'/point_vecs.mat'],'point_vecs')
% Gesuchtes Zeta
zeta = start_options.zeta;

% Suche nach passenden Indizes (d.h. suche den ersten von zwei benachbarten 
% Indizes, bei denen ein zugehöriger zeta Wert größer und einer kleiner als
% das gesuchte zeta ist):
indices = find( ( (point_vecs.zetas(2:end)-zeta) .* (point_vecs.zetas(1:end-1)-zeta) ) < 0 );
% Das gesuchte zeta befindet sich dann kurz nach den Punkten, die durch
% indices gegeben sind.

% Indizes, mit denen der zeta Wert am genausten getroffen wird
indices_plot = indices;
for ind = 1:length(indices_plot)
    index = indices_plot(ind);
    if abs(point_vecs.zetas(index)-zeta) > abs(point_vecs.zetas(index+1)-zeta)
        indices_plot(ind) = index + 1;
    end
end

% markiere alle gefundenen Punkte
zetas = point_vecs.zetas(indices_plot);
norms = point_vecs.norms(indices_plot);
f1s = point_vecs.f1s(indices_plot);
handle_desired_zeta = plot3(zetas,f1s,norms,'o','Color','cyan','MarkerFaceColor','cyan','MarkerSize',ms,'DisplayName','solutions with desired \zeta');
drawnow()

% Falls mehr als ein Punkt und kein Level gegeben: Auswählen lassen
if length(indices) > 1
    % Indizes nach Größe der Norm der Lösungen sortieren:
    [~,sorting_indices] = sort(point_vecs.norms(indices_plot),'descend');
    indices = indices(sorting_indices); 
    indices_plot = indices_plot(sorting_indices); 
    if isfield(start_options,'level')
        index = indices(start_options.level);
        index_plot = indices_plot(start_options.level);
        level = start_options.level;
    else
        disp('Which solution as initial point for f_1-pathtracing?')
        for ind = 1 :length(indices)
            disp([num2str(ind),': Solution with norm ',num2str(point_vecs.norms(indices_plot(ind)))])
        end
        level = input('Selection: ');
        index = indices(level);
        index_plot = indices_plot(level);
    end
else
    if isfield(start_options,'level') && start_options.level > 1
        disp('Achtung: Es wurde nur eine Lösung gefunden, die nicht dem gewünschten Level entspricht.')
%         index = [];
%         return
    end
    index = indices;
    index_plot = indices_plot;
end

% markiere ausgewählten Punkte
zetas = point_vecs.zetas(index_plot);
norms = point_vecs.norms(index_plot);
f1s = point_vecs.f1s(index_plot);
handle_selection = plot3(zetas,f1s,norms,'o','Color','k','MarkerFaceColor','cyan','MarkerSize',ms,'DisplayName','selected solutions');
drawnow()

% Lade entsprechendes file
branches = {'top','mid','low'};
branch = branches{level};
filename = [fld,'/point_',num2str(index-1,'%03i'),'_',branch,'_zeta_',num2str(point_vecs.zetas(index),'%+0.6f'),'.mat'];
load(filename,'zeta','bc_mat','direction')

disp('Lösung mit ungefähr gewünschtem zeta-Wert geladen')

end
