function [bc_mat_new,zeta_new,tangent_vector_new] ...
    = path_tracing_step(bc_mat,zeta,tangent_vector,lambda,direction,pars)
% Mache einen Schritt der Pfadverfolgung (Prädiktorschritt +
% Korrektorschritte)

M = pars.M_zeta;

% Prädiktorschritt
zeta_new = zeta   + lambda*tangent_vector(1);
bc_mat_new=bc_mat + lambda*[tangent_vector(2:M), tangent_vector(M+1:2*M-1)];

% Korrektorschritte
i = 0;
norm_of_H = norm(H_complete_values(pars.f_1,bc_mat_new,zeta_new,pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,pars.M_zeta,pars.x_short));

while norm_of_H > 10^(-6)
    z = calculate_corrector_update(pars.f_1,bc_mat_new,zeta_new,pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,pars.M_zeta,pars.x_short);
    % subtrahiere von v für nächste Iteration
    zeta_new = zeta_new - z(1);
    bc_mat_new = bc_mat_new - [z(2:M), z(M+1:2*M-1)];
    norm_of_H = norm(H_complete_values(pars.f_1,bc_mat_new,zeta_new,pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,pars.M_zeta,pars.x_short));
    i=i+1;
end

% Berechne neuen Tangentenvektor
tangent_vector_new = calculate_tangent_vector(pars.f_1,bc_mat_new,zeta_new,...
                           pars.d,pars.f_0,pars.k_1,pars.omega,pars.h,...
                           pars.M_zeta,pars.x_short,direction,0);

end

