function [point_vecs] = save_new_point(zeta,bc_mat,direction,...
                                       point_vecs,filename_vecs,...
                                       k,branch,fld,pars)
% SAVE_NEW_POINT Add a new point of the path to the point_vecs structure
% and save it as a file

% by default, a path is considered as not finished. Only in the main path
% tracing function, the variable path_completed might be set to true.

%% Add point to point_vecs
point_vecs = add_point_to_path_vecs(zeta,bc_mat,0,direction,point_vecs,pars);
path_completed = false;
save(filename_vecs,'point_vecs','path_completed')

%% Save point as file
if isempty(branch) == 0
    filename = [fld,'/point_',num2str(k,'%03i'),'_',branch,'_zeta_',num2str(zeta,'%+0.6f'),'.mat'];
else
    filename = [fld,'/point_',num2str(k,'%03i'),'_zeta_',num2str(zeta,'%+0.6f'),'.mat'];
end
save(filename,'bc_mat','zeta','direction')

end

