function [handles] = add_point_to_path_plot(handles,point_vec,mode)
% Adds a new point on the currrent path of path tracing plot

% The variable mode can be 'zeta' or 'f_1' and determines, which
% path_tracing is currently conducted.

% values of new point
zeta = point_vec.zetas(end);
f_1 = point_vec.f1s(end);
norm_val = point_vec.norms(end);
% Update data of current solution marker
set(handles.curr_solution_marker,'XData',zeta,'YData',f_1,'ZData',norm_val)
% Update data of current path
if strcmp(mode,'zeta')
    set(handles.curr_path,'XData',point_vec.zetas,'YData',point_vec.f1s,'ZData',point_vec.norms)
else
    zetas = [point_vec.zetas(end:-1:2),point_vec.zetas];
    f1s =   [-point_vec.f1s(end:-1:2),  point_vec.f1s];
    norms = [point_vec.norms(end:-1:2),point_vec.norms];
    set(handles.curr_path,'XData',zetas,'YData',f1s,'ZData',norms)
end

