function [handles] = draw_current_solution(handles,bc_mat,pars,extend_solution)
% Trage in das entsprechende function-handle die Daten der aktuellen Lösung
% ein. Falls extend_solution = true muss die Funktion erst auf das
% Intervall [-pi,pi] verlängert werden (von [0,pi]).

x = pars.x_long_ext; % Diskreisierungspunkte in [-pi,pi]
if extend_solution
    % Erweitere die Funktionswerte um die Randwerte und füge den symmetrischen
    % Teil auf [-pi,0] hinzu:
    bc_mat = [bc_mat(1,:); bc_mat; bc_mat(end,:); bc_mat(end:-1:1,:); bc_mat(1,:)];
else
    % Füge den Randwert am rechten Rand hinzu (periodische RB, x_M = x_{-M})
    bc_mat = [bc_mat;bc_mat(end,:)];
end

% Realteile (erste Spalte von bc_mat)
set(handles.curr_solution(1),'XData',x,'YData',bc_mat(:,1))
% Imaginärteile (zweite Spalte von bc_mat)
set(handles.curr_solution(2),'XData',x,'YData',bc_mat(:,2))
% Beträge
abs_vals = sqrt( bc_mat(:,1).^2 + bc_mat(:,2).^2 );
set(handles.curr_solution(3),'XData',x,'YData',abs_vals)

end

