function [handles] ...
    = initialize_path_tracing_plot(mode,pars,view2D,zoom)
% Plotte 
% - die Norm der gefumdenen Lsungen abhngig vom zeta-Wert
% - die zuletzt gefundene Lsung
% Gebe Handles zu allen Plot-Elementen zurck ber die verschiedenen Felder
% von handles:
% Norm Plot: Vorher berechnete Daten
% - path_one_mode_const --> Pfade stationrer Lsungen der Ein-Moden-LLE 
%   (f_1 = 0)
% - paths_one_mode --> Verzweigungspfade der Ein-Moden-LLE (f_1 = 0)
% - paths_two_mode --> Pfade von Travelling Wave Lsungen der
%   Zwei-Moden-LLE
% - bifurcation_points --> Verzweigungspunkte der Ein-Moden-LLE
% Norm Plot: Aktuell berechnete Daten (falls Pfadverfolgung aktiv)
% - curr_solution_marker --> Punkt im Norm Plot, der die aktuelle Lsung
%   markiert
% - curr_path --> Bisher berechneter Teil des Pfads
% - curr_bifurcations --> Verzweigungspunkte auf bisher berechnetem Pfad
% Lsungs-Plot
% - curr_solution --> Realteil, Imaginrteil und Betrag der aktuellen
%   Lsung ber x

% The variable mode can be 'zeta', 'f_1' or [] and determines, which
% path_tracing is currently conducted.

fig = gcf;
clf(fig)
tiledlayout(1,2)

% Norm-plot
nexttile(1)
handles = create_norm_plot(pars,mode,view2D,zoom);

% Aktuelle Lsung
nexttile(2)
handles.curr_solution(1) = plot(NaN,NaN,'g-','DisplayName','real part'); hold on;
handles.curr_solution(2) = plot(NaN,NaN,'g--','DisplayName','imaginary part');
handles.curr_solution(3) = plot(NaN,NaN,'DisplayName','absolute value');

legend()
xlabel('x'); xlim([-pi,pi]);
ylabel('value'); ylim([-1,4]);
title('Current solution')
end

